# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ddd-rs"
version = "0.1.8"
authors = ["Gabriel Kim <gabrielkim13@gmail.com>"]
description = "Domain-Driven Design (DDD) building blocks, for Rust applications."
homepage = "https://github.com/gabrielkim13/ddd-rs"
readme = "README.md"
categories = ["rust-patterns"]
license = "MIT"
repository = "https://github.com/gabrielkim13/ddd-rs"
resolver = "1"

[dependencies.async-trait]
version = "0.1"

[dependencies.chrono]
version = "0.4"

[dependencies.ddd-rs-derive]
version = "=0.1.8"
optional = true

[dependencies.futures]
version = "0.3"

[dependencies.serde]
version = "1"
features = ["derive"]
optional = true

[dependencies.thiserror]
version = "1"

[dependencies.uuid]
version = "1"
features = ["v4"]

[dev-dependencies.ddd-rs-derive]
version = "0.1"

[dev-dependencies.tokio-test]
version = "0.4"

[features]
default = [
    "derive",
    "serde",
]
derive = ["ddd-rs-derive"]
serde = ["dep:serde"]
